/*
 * mixins.scss
 * emilien <emilien@emilien-pc>, 2021
 */

@import './variables.scss';

@function vh($n) {
	@return calc(var(--vh, vh) * #{$n})
}

@mixin exbold {
	font-weight: 700;
	font-weight: 900;
}

@mixin smbold {
	font-weight: 700;
	font-weight: 500;
	font-weight: 600;
}

@mixin medium {
	font-weight: 600;
	font-weight: 500;
}

@mixin fsize($font-size, $line-height) {
	font-size: #{$font-size}rem;
	//line-height: #{$font-size + $font-size / 10}rem;
	line-height: #{$line-height}rem;

	&.mb { margin-bottom: #{$font-size * 0.5}rem; }
	&.mt { margin-top: #{$font-size * 0.5}rem; }
}

@mixin mx-container {
	max-width: 600px;
	width: 100vw - $app-margin * 2;
}

